Subject: [dhcwg] Protocol Action: 'Detecting Network Attachment in IPv4 (DNAv4)' to Proposed Standard

From: The IESG <[email-masked]>
Date: Tue, 20 Dec 2005 11:27:07 -0500

The IESG has approved the following document:

- 'Detecting Network Attachment in IPv4 (DNAv4) '
   <draft-ietf-dhc-dna-ipv4-18.txt> as a Proposed Standard

This document is the product of the Dynamic Host Configuration Working Group. 

The IESG contact persons are Margaret Wasserman and Mark Townsley.

A URL of this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-dhc-dna-ipv4-18.txt

  - Technical Summary

  (Abstract from "Detection of Network Attachment (DNA) in IPv4")
  The time required to detect movement (or lack of movement) between
  subnets, and to obtain (or continue to use) a valid IPv4 address may
  be significant as a fraction of the total delay in moving between
  points of attachment.  This document synthesizes experience garnered
  over the years in the deployment of hosts supporting ARP, DHCP and
  IPv4 Link-Local addresses.  A procedure is specified for detection of
  network attachment in order to better accommodate mobile hosts.

  The document addresses a need for compilation of experiences with
  various protocol specifications and formal description of protocol
  operation based on those experiences.  Members of the dhc WG
  provided significant expert input based on experience with DHCP
  client/server deployment and operation.

  - Working Group Summary

  The dhc WG was actively involved in the development of this
  document and provided significant input.  The consensus of the WG
  is to submit the document for publication.  The issues raised
  during discussion of this document, including the WG last call, are
  listed at http://www.drizzle.com/~aboba/DNA/

  - Protocol Quality

  This document does not define a protocol; rather, it provides a
  formal description of procedures for host movement that are useful
  in protocols like DHCP and IPv4 link-local addresses.  The quality
  of the document is excellent.

  This document was reviewed for the IESG by Margaret Wasserman.

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg